Issue 42309 - click on '=' button for a non empty cell causes value loss
Summary: click on '=' button for a non empty cell causes value loss
Status: RESOLVED FIXED
Alias: None
Product: Calc
Classification: Application
Component: editing (show other issues)
Version: OOo 2.0
Hardware: All All
: P3 Trivial (vote)
Target Milestone: 4.1.0
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-09 10:54 UTC by ttissino
Modified: 2014-01-10 12:16 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Proposed patch to change equal button behavior (1.70 KB, patch)
2012-06-12 05:53 UTC, hanya
hanya.runo: review? (hanya.runo)
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description ttissino 2005-02-09 10:54:18 UTC
On the formula bar, there is a button which has '=' as icon.
When clicking on it, the content of the active cell is replaced by '='.

On Excel, the same button symply causes the insertion of '=' at the beginning of
the cell content (if '=' is not already present) and cursor positioning at the
end of the formula.

The OOo behaviour is really disturbing if you have to modify a cell containing
some fixed value. For example: if in the cell A1 there is the value 123.456 and
I want to get the formula '=123.456+A2', I cannot use the '=' button, but I need
to click just on the beginning of the formula, insert '=' from the keyboard, go
to the end of the formula, insert '+A2'.

I think the '=' button should insert '=' at the beginning and the select the old
 value. This way, the user will be able to overwrite the old value or keep it
pressing the right arrow.
Comment 1 frank 2005-02-09 11:30:28 UTC
Hi,

not a bug. My version of Excel doesn't have an '=' sign and the 'f(x)' works in
the same way as Calc does.

So closing invalid.

Frank
Comment 2 frank 2005-02-09 11:33:27 UTC
reopened because I've missunderstood something
Comment 3 frank 2005-02-09 11:45:28 UTC
Hi,

as I've told before, if you have a value in a cell Excel and Calc work in the
same way. If you have a formula in a cell Excel enters the Cell Edit mode
instead of overwriting the cell content. This could be changed.

Frank
Comment 4 ttissino 2005-02-10 07:51:42 UTC
I don't know what version of Excel and Calc you are using, but my Excel97 and
Calc 1.9.74 don't work the same way!

On Calc, pressing the '=' button in the formula bar always overwrite the cell
content, either you have a value or a formula in that cell, while Excel never do it.

As I wrote before, this is really disturbing and some my clients refuse to
switch to OOo for such a 'bug'. In my opinion, this issue has to be classified
as defect, not enhancement, and targeted as soon as possible (i.e. OOo 2.0). I
think is not so difficult to implement it: 

1) if first char in the input line is not '=', then 
2)        insert '=' at the beginning of the string; 
3) select the string from 2nd char to the end.

Comment 5 ace_dent 2008-05-16 00:39:14 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 6 hanya 2012-06-12 05:53:33 UTC
Created attachment 78245 [details]
Proposed patch to change equal button behavior

How about to change like this in the patch.
- Empty cell: insert "="
- Value cell: insert "=" at start and select old value
- Formula cell: select old value except for "=" character
- Text cell: select old value
Comment 7 SVN Robot 2014-01-10 11:51:16 UTC
"hanya" committed SVN revision 1557095 into trunk:
#i42309# change behavior for equal button of input line according to the curr...
Comment 8 hanya 2014-01-10 12:16:10 UTC
Fixed on trunk.
Changes applied as described in Comment 6.